# Copyright (c) 2022 xFusion Digital Technologies Co., Ltd. All rights reserved.
# Description: log public include file, define the base functions
# File Name: kbox.py 
# Author: miaokaibo
# Create: 2022-05-05


import os
from sos.report.plugins import Plugin, RedHatPlugin


class KboxPlugin(Plugin, RedHatPlugin):
    '''kbox information
    '''

    short_desc = 'kernel black box'
    plugin_name = 'kbox'
    profiles = ('system', 'kernel')

    def setup(self):
        cmd = "cat /etc/kbox/config | grep '^export_log_path=' | awk -F '=' '{print $2}' | awk -F '\"' '{print $2}'"
        log_path = os.popen(cmd).read().replace("\n", '')
        self.add_copy_spec([
            '/etc/FusionOS-latest',
            '/etc/kbox',
            log_path,
            '/usr/lib/systemd/system/kbox.service',
        ])

        self.add_cmd_output(["kbox status", "systemctl status kbox"])

# vim: set et ts=4 sw=4 :
