# Copyright (c) 2022 xFusion Digital Technologies Co., Ltd. All rights reserved.
# Description: log public include file, define the base functions
# File Name: sysmonitor.py
# Author: miaokaibo
# Create: 2022-05-05


import os
from sos.report.plugins import Plugin, RedHatPlugin


class Sysmonitor(Plugin, RedHatPlugin):
    '''sysmonitor information
    '''

    short_desc = 'system monitor'
    plugin_name = 'sysmonitor'
    profiles = ('system',)

    def setup(self):
        cmd = "cat /etc/sysmonitor/w_log_conf | grep '^WRITE_LOG_PATH=' | awk -F '=' '{print $2}' | awk -F '\"' '{print $2}'"
        log_path = os.popen(cmd).read().replace("\n", '')
        self.add_copy_spec([
            '/etc/FusionOS-latest',
            '/etc/rsyslog.d/sysmonitor.conf',
            '/etc/sysconfig/sysmonitor',
            '/etc/sysmonitor.d',
            '/etc/sysmonitor',
            '/usr/libexec/sysmonitor',
            '/usr/lib/systemd/system/sysmonitor.service',
            log_path
        ])

        self.add_cmd_output("systemctl status sysmonitor")

# vim: set et ts=4 sw=4 :
